Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class PaneInformation

    java.lang.Object
      org.apache.poi.hssf.util.PaneInformation

    public class PaneInformation

extends java.lang.Object

Holds information regarding a split plane or freeze plane for a sheet.

Field Summary
`static byte` | `PANE_LOWER_LEFT` Constant for active pane being the lower left
`static byte` | `PANE_LOWER_RIGHT` Constant for active pane being the lower right
`static byte` | `PANE_UPPER_LEFT` Constant for active pane being the upper left
`static byte` | `PANE_UPPER_RIGHT` Constant for active pane being the upper right

Constructor Summary
`PaneInformation(short x, short y, short top, short left, byte active, boolean frozen)`

Method Summary
`byte` | `getActivePane()` Returns the active pane
`short` | `getHorizontalSplitPosition()` Returns the horizontal position of the split.
`short` | `getHorizontalSplitTopRow()` For a horizontal split returns the top row in the BOTTOM pane.
`short` | `getVerticalSplitLeftColumn()` For a vertical split returns the left column in the RIGHT pane.
`short` | `getVerticalSplitPosition()` Returns the vertical position of the split.
`boolean` | `isFreezePane()` Returns true if this is a Freeze pane, false if it is a split pane.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PANE_LOWER_RIGHT

    public static final byte PANE_LOWER_RIGHT

  Constant for active pane being the lower right

  See Also:
    Constant Field Values

### PANE_UPPER_RIGHT

    public static final byte PANE_UPPER_RIGHT

  Constant for active pane being the upper right

  See Also:
    Constant Field Values

### PANE_LOWER_LEFT

    public static final byte PANE_LOWER_LEFT

  Constant for active pane being the lower left

  See Also:
    Constant Field Values

### PANE_UPPER_LEFT

    public static final byte PANE_UPPER_LEFT

  Constant for active pane being the upper left

  See Also:
    Constant Field Values

Constructor Detail

### PaneInformation

    public PaneInformation(short x,
                           short y,
                           short top,
                           short left,
                           byte active,
                           boolean frozen)

Method Detail

### getVerticalSplitPosition

    public short getVerticalSplitPosition()

  Returns the vertical position of the split.

  Returns:
    0 if there is no vertical spilt, or for a freeze pane the number of columns in the TOP pane, or for a split plane the position of the split in 1/20th of a point.

### getHorizontalSplitPosition

    public short getHorizontalSplitPosition()

  Returns the horizontal position of the split.

  Returns:
    0 if there is no horizontal spilt, or for a freeze pane the number of rows in the LEFT pane, or for a split plane the position of the split in 1/20th of a point.

### getHorizontalSplitTopRow

    public short getHorizontalSplitTopRow()

  For a horizontal split returns the top row in the BOTTOM pane.

  Returns:
    0 if there is no horizontal split, or the top row of the bottom pane.

### getVerticalSplitLeftColumn

    public short getVerticalSplitLeftColumn()

  For a vertical split returns the left column in the RIGHT pane.

  Returns:
    0 if there is no vertical split, or the left column in the RIGHT pane.

### getActivePane

    public byte getActivePane()

  Returns the active pane

  Returns:
    the active pane.
  See Also:
    `PANE_LOWER_RIGHT`, `PANE_UPPER_RIGHT`, `PANE_LOWER_LEFT`, `PANE_UPPER_LEFT`

### isFreezePane

    public boolean isFreezePane()

  Returns true if this is a Freeze pane, false if it is a split pane.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD